Subject: Re: bug#50187: 28.0.50; tramp is called from calendar
From: Stefan Kangas <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Wed, 10 Jan 2024 03:02:13 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Stefan Kangas <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>>> Cc: Michael Heerdegen <[email-masked]>, [email-masked],
>>>  Lars Ingebrigtsen <[email-masked]>, Michael Albinus <[email-masked]>
>>> From: Sam Steingold <[email-masked]>
>>> Date: Fri, 16 Sep 2022 17:43:17 -0400
>>>
>>> It makes perfect sense for *occur* to inherit `default-directory', and
>>> no sense for calendar.
>>
>> Then "M-x calendar" should take care of setting the default-directory
>> of its buffer.  It cannot be done by the infrastructure, because in
>> many cases when a buffer is created, Emacs doesn't yet know its future
>> purpose.
>>
>> But we are arguing about issues that might be purely academic.
>> Michael asked you to collect some Tramp-related data, so he could look
>> into what happens in this particular case.  Please provide him the
>> data he asked for: it could very well lead to a simple and
>> uncontroversial solution.
>
> We seem to need more information here to make any progress.  Without
> that information, I don't think it makes sense to keep this bug open.
>
> Sam, could you please try to collect the information that Michael has
> asked for?  Thanks in advance.

More information was requested, but none was given within 4 months, so
I'm closing this bug.

If this is still an issue, please reply to this email (use "Reply to
all" in your email client) and we can reopen the bug report.